#!/usr/bin/env bash

# Load the required environment
setup_env () {
  # Additional environment which could be moved into a module
  # Change these to suit
  export SINGULARITY_IMAGE=<%= context.simage %>
  # export SINGULARITY_ARGS=<%= context.singularity_args %>
#  export SINGULARITYENV_PATH="$PATH"
  # In Singularity 3.5.x it became necessary to explicitly pass LD_LIBRARY_PATH
  # to the singularity process
  # export SINGULARITYENV_LD_LIBRARY_PATH="$LD_LIBRARY_PATH"
}
setup_env


# Benchmark info
echo "TIMING - Starting main script at: $(date)"


export TMPDIR="$(mktemp -d)"

mkdir -p -m 700 ${TMPDIR}/run ${TMPDIR}/tmp


# Set working directory to home directory
cd "${HOME}"

# Set group directory
export GROUPDIR="/hpc/group/<%= context.bc_account %>"

#
# Start Jupyter Notebook Server
#

# <%- unless context.modules.blank? -%>
# Purge the module environment to avoid conflicts
# module purge

# Load the require modules
# module load <%= context.modules %>

# List loaded modules
# module list
# <%- end -%>

# Benchmark info
echo "TIMING - Starting jupyter at: $(date)"

# Launch the Jupyter Notebook Server
set -x



<% if context.datacommons.blank? %>
singularity exec -B /sys/fs/cgroup:/sys/fs/cgroup -B ${TMPDIR}/tmp:/tmp -B ${TMPDIR}/run:/run -B /work:/work -B $GROUPDIR:$GROUPDIR <%= context.singularity_args %> "$SINGULARITY_IMAGE" jupyter notebook --config="${CONFIG_FILE}" <%= context.extra_jupyter_args %>
<% else %>
#set datacommons and ls it
export DCMOUNT="/datacommons/<%= context.datacommons %>"
singularity exec -B /sys/fs/cgroup:/sys/fs/cgroup -B ${TMPDIR}/tmp:/tmp -B ${TMPDIR}/run:/run -B /work:/work -B $GROUPDIR:$GROUPDIR -B $DCMOUNT:$DCMOUNT <%= context.singularity_args %> "$SINGULARITY_IMAGE" jupyter notebook --config="${CONFIG_FILE}" <%= context.extra_jupyter_args %>
<% end %>
